### Virtual Method

# Lasem DomDocument create_text_node

#### Declaration [src]

    LsmDomText*
    create_text_node (
      LsmDomDocument* self,
      const char* data
    )

#### Description [src]

Create a text node with `data` as its initial content.

#### Parameters

`data`

  Type: `const char*`

  Content of the text node.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `LsmDomText`

A newly created `LsmDomText`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.